org.apache.felix.ipojo.extender.builder

## Class FactoryBuilderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.felix.ipojo.extender.builder.FactoryBuilderException

All Implemented Interfaces:
  java.io.Serializable

    public class FactoryBuilderException
    extends java.lang.Exception

Exception thrown by `FactoryBuilder` when a `IPojoFactory` instance cannot be created correctly.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FactoryBuilderException(java.lang.String message)` Creates the exception instance with the given message.
`FactoryBuilderException(java.lang.String message, java.lang.Throwable cause)` Creates the exception instance with the given message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FactoryBuilderException

    public FactoryBuilderException(java.lang.String message)

Creates the exception instance with the given message.

Parameters:
  `message` - the message

#### FactoryBuilderException

    public FactoryBuilderException(java.lang.String message,
                                   java.lang.Throwable cause)

Creates the exception instance with the given message and cause.

Parameters:
  `message` - the message
  `cause` - the cause